Package ru.bitel.oss.kernel.entity.common.bean

# Class AbstractEntity

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ContractObject`, `Entity`

    public abstract class AbstractEntity
    extends IdTitle

Сущность, привязанная к своей собственной таблице (contract, object)

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected int` | `entitySpecId` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AbstractEntity()` |
  `AbstractEntity​(int id, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `copyTo​(AbstractEntity abstractEntity)` |
  `java.util.Map<java.lang.Integer,​EntityAttr>` | `getEntityAttributes()` |
  `int` | `getEntitySpecId()` |
  `void` | `setEntityAttributes​(java.util.Map<java.lang.Integer,​EntityAttr> entityAttributes)` |
  `void` | `setEntitySpecId​(int entitySpecId)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### entitySpecId

    protected int entitySpecId

- ## Constructor Details

  - ### AbstractEntity

    public AbstractEntity()

  - ### AbstractEntity

    public AbstractEntity​(int id, java.lang.String title)

- ## Method Details

  - ### getEntitySpecId

    public int getEntitySpecId()

  - ### setEntitySpecId

    public void setEntitySpecId​(int entitySpecId)

  - ### getEntityAttributes

    public java.util.Map<java.lang.Integer,​EntityAttr> getEntityAttributes()

  - ### setEntityAttributes

    public void setEntityAttributes​(java.util.Map<java.lang.Integer,​EntityAttr> entityAttributes)

  - ### copyTo

    public void copyTo​(AbstractEntity abstractEntity)